Subject: Re: bug#21973: [External] : bug#21973: 24.5; feature proposal: make dired header clickable

From: Juri Linkov <[email-masked]>
Date: Sun, 24 Oct 2021 22:05:23 +0300

>> I've revised the patch to support also subdir headers in the buffer,
>> using dired-after-readin-hook.
>
> Thanks; looks good to me.  I've now applied this to Emacs 29, but I
> rewrote it somewhat so that it works hitting RET on the segments, too.

I tried this out and see that it would be much better to bind it
to [mouse-1] instead of [down-mouse-1] because with [down-mouse-1]
releasing the mouse button moves point to wrong place in the new buffer.